
Summary: SpamAssassin  Anti-Phishing-Email-Reply module
Name: perl-module-Mail-SpamAssassin-aper
Version: 1.svn
Release: 1.ru
Group: System Environment/Base
License: apache
Source0: aper-cronjob.sh
BuildRoot: /var/tmp/%{name}-root
Requires: spamassassin subversion

%description
APER is a maintained list of email addresses used in phishing campaigns. This package includes a script to check that list, and generate custom SpamAssassin rules based on it.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/mail/spamassassin/
install -m 0755 %{_sourcedir}/aper-cronjob.sh $RPM_BUILD_ROOT/etc/mail/spamassassin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc
%defattr(-,bin,bin)
/etc/mail/spamassassin/aper-cronjob.sh


%post
# get the latest list from svn, copy our script into the new directory
cd /usr/local/etc/mail/spamassassin/
PATH=/usr/local/bin/:$PATH
export PATH
echo $PATH
echo "Checking out latest list from svn"
svn co https://aper.svn.sourceforge.net/svnroot/aper aper 
echo "Checkout complete"
mv /usr/local/etc/mail/spamassassin/aper-cronjob.sh /etc/mail/spamassassin/aper/aper-cronjob.sh

cat <<EOF
You most likely want to add /etc/mail/spamassassin/aper/aper-cronjob.sh to cron, so the list of phishing addresses and the SpamAssassin rules are updated periodically
EOF



%changelog
* Wed Mar 24 2010 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.svn-1.ru
- Initial build
